Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.definition.process
Interface Process

All Superinterfaces:
  KnowledgeDefinition

All Known Subinterfaces:
  WorkflowProcess

    public interface Process

extends KnowledgeDefinition

A Process represents one modular piece of business logic that can be executed by a process engine. Different types of processes may exist.

Nested Class Summary

Nested classes/interfaces inherited from interface org.drools.definition.KnowledgeDefinition
`KnowledgeDefinition.KnowledgeType`

Method Summary
`String` | `getId()` The unique id of the Process.
`Map<String,Object>` | `getMetaData()` Meta data associated with this Node.
`Object` | `getMetaData(String name)` Deprecated.
`String` | `getName()` The name of the Process.
`String` | `getPackageName()` The package name of this process.
`String` | `getType()` The type of process.
`String` | `getVersion()` The version of the Process.

Methods inherited from interface org.drools.definition.KnowledgeDefinition
`getKnowledgeType, getNamespace`

Method Detail

### getId

    String getId()

  The unique id of the Process.

  Specified by:
    `getId` in interface `KnowledgeDefinition`
  Returns:
    the id

### getName

    String getName()

  The name of the Process.

  Returns:
    the name

### getVersion

    String getVersion()

  The version of the Process. You may use your own versioning format (as the version is not interpreted by the engine).

  Returns:
    the version

### getPackageName

    String getPackageName()

  The package name of this process.

  Returns:
    the package name

### getType

    String getType()

  The type of process. Different types of processes may exist. This defaults to "RuleFlow".

  Returns:
    the type

### getMetaData

    Map<String,Object> getMetaData()

  Meta data associated with this Node.

### getMetaData

    @Deprecated
    Object getMetaData(String name)

  Deprecated.

  Meta data associated with this Node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.